ARM Technical Support Knowledge Articles

How do I install DS-5 into an existing Eclipse installation?

Applies to: DS-5


The DS-5 toolchain consists of a collection of Eclipse plugins that can be integrated into a standalone Eclipse installation. DS-5 versions are built against specific Eclipse framework and CDT plugin versions in order to include the latest features and bug fixes.

If you integrate the DS-5 plugins into an existing Eclipse installation you need to ensure the required Eclipse component versions are present in order to satisfy DS-5 plugin dependencies.  

Instructions on how to integrate DS-5 into an existing Eclipse installation can be found in the page named "Installing DS-5 into a custom Eclipse environment" in the "ARM DS-5 tutorials" section of the "DS-5 General Information" document in the DS-5 documentation.

If you are using an older version of DS-5 (before v5.6) please see the instructions below:

Article last edited on: 2012-10-22 15:36:57

Rate this article

Disagree? Move your mouse over the bar and click

Did you find this article helpful? Yes No

How can we improve this article?

Link to this article
Copyright © 2011 ARM Limited. All rights reserved. External (Open), Non-Confidential